# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'typor/version'

Gem::Specification.new do |spec|
	spec.name = 'typor'
	spec.version = Typor::VERSION
	spec.authors = ['Eresse']
	spec.email = ['eresse@eresse.net']

	spec.summary = 'Detect File Type from MIME Magic'
	spec.description = 'Provides MIME detection magic based on file contents - nothing more.'
	spec.homepage = 'http://redmine.eresse.net/projects/typor'
	spec.license = 'MIT'

	spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
	spec.require_paths = ['lib']

	spec.add_development_dependency 'bundler'
	spec.add_development_dependency 'rake'
	spec.add_runtime_dependency 'minitest'
	spec.add_runtime_dependency 'aromat'
end
